<?php 

session_start();

require "../conexion_bd.php";
require "inventario_sqlite.php";


if(isset($_SESSION['docto_invfis_id']) && isset($_SESSION['articulo_id']) && isset($_SESSION['total_unidades']) && isset($_SESSION['posicion']) && isset($_SESSION['nombre_articulo']) && isset($_SESSION['colectora'])){

    if(!empty($_SESSION['docto_invfis_id']) && !empty($_SESSION['articulo_id']) && !empty($_SESSION['total_unidades']) && !empty($_SESSION['posicion']) && !empty($_SESSION['nombre_articulo']) && !empty($_SESSION['colectora'])){

    
        //variables GLOBALES
        $docto_invfis_id = intval($_SESSION['docto_invfis_id']);
        $articulo_id =  intval($_SESSION['articulo_id']);
        $total_unidades = floatval($_SESSION['total_unidades']);
        $posicion = $_SESSION['posicion'];
        $nombre_articulo = $_SESSION['nombre_articulo'];
        $colectora = $_SESSION['colectora'];


        $query_doctos_invfis_posicion = $conn->prepare("SELECT b.ARTICULO_ID, SUM(b.unidades) AS unidades FROM doctos_invfis_posicion b WHERE b.ARTICULO_ID = ? AND b.DOCTO_INVFIS_ID = ? GROUP BY b.ARTICULO_ID");
        $query_doctos_invfis_posicion->bindParam(1,$articulo_id);
        $query_doctos_invfis_posicion->bindParam(2,$docto_invfis_id);
        $query_doctos_invfis_posicion->execute();
        $resultado_query_posicion= $query_doctos_invfis_posicion->fetchAll(PDO::FETCH_ASSOC);

        $unidades = $resultado_query_posicion[0]['UNIDADES'];
        //sumar el total de unidades existentes mas las nuevas que se ingresaran
        $total_uni = $total_unidades + $unidades;

        //consulta fecha
        $fecha_query = $conn->prepare("SELECT * FROM fecha_servidor;");
        $fecha_query ->execute();
        $resultado_fecha = $fecha_query->fetchAll(PDO::FETCH_ASSOC);
        $fecha =$resultado_fecha[0]['FECHA'];
        $hora = $resultado_fecha[0]['HORA'];
        $fecha = $fecha."".$hora; 
        $fecha = new DateTime($fecha);
        $fecha_hora =  $fecha->format("m/d/Y H:i:s");
    
        $query_update_doctos_invfis = $conn->prepare("UPDATE doctos_invfis_det a SET a.unidades = ?  WHERE a.articulo_id = ? AND a.docto_invfis_id = ? ");
        $query_update_doctos_invfis->bindParam(1, $total_uni);
        $query_update_doctos_invfis->bindParam(2, $articulo_id);
        $query_update_doctos_invfis->bindParam(3, $docto_invfis_id);
        $query_update_doctos_invfis->execute();

        $query_insert_doctos_posicion = $conn ->prepare("INSERT INTO Doctos_invfis_posicion(Docto_invfis_pos_id,articulo_id,posicion,docto_invfis_id,terminal_id,unidades,fecha_hora_captura) 
        VALUES ((GEN_ID(id_doctos,1)), ?, ?, ?, ?, ?, ?)");
        $query_insert_doctos_posicion->bindParam(1, $articulo_id);
        $query_insert_doctos_posicion->bindParam(2, $posicion);
        $query_insert_doctos_posicion->bindParam(3, $docto_invfis_id);
        $query_insert_doctos_posicion->bindParam(4, $colectora);
        $query_insert_doctos_posicion->bindParam(5, $total_unidades);
        $query_insert_doctos_posicion->bindParam(6, $fecha_hora);
        $query_insert_doctos_posicion->execute();
        
        insertar_temporal($colectora,$nombre_articulo,"",$posicion,$total_unidades,"");
        echo json_encode("modificacion_con_exito");
    }

}else{
    exit("hubo un error");
}


?>